import { AfterContentInit, AfterViewInit, ElementRef, QueryList, TemplateRef } from '@angular/core';
import { NzInputDirective } from './nz-input.directive';
export declare type TInputGroupIconClass = string | string[] | Set<string> | {
    [klass: string]: any;
};
export declare type NzInputGroupSizeType = 'large' | 'default' | 'small';
export declare class NzInputGroupComponent implements AfterViewInit, AfterContentInit {
    private el;
    private _addOnBefore;
    private _addOnAfter;
    private _prefix;
    private _suffix;
    private _size;
    private _compact;
    private _search;
    private isAddOnBeforeString;
    private isAddOnAfterString;
    private isPrefixString;
    private isSuffixString;
    nzInputDirectiveQueryList: QueryList<NzInputDirective>;
    nzAddOnBeforeIcon: TInputGroupIconClass;
    nzAddOnAfterIcon: TInputGroupIconClass;
    nzPrefixIcon: TInputGroupIconClass;
    nzSuffixIcon: TInputGroupIconClass;
    nzSize: NzInputGroupSizeType;
    nzCompact: boolean;
    nzAddOnBefore: string | TemplateRef<void>;
    nzAddOnAfter: string | TemplateRef<void>;
    nzPrefix: string | TemplateRef<void>;
    nzSuffix: string | TemplateRef<void>;
    nzSearch: boolean;
    readonly isLarge: boolean;
    readonly isSmall: boolean;
    readonly isAffix: boolean;
    readonly isAddOn: boolean;
    readonly isGroup: boolean;
    readonly isLargeGroup: boolean;
    readonly isLargeGroupWrapper: boolean;
    readonly isLargeAffix: boolean;
    readonly isLargeSearch: boolean;
    readonly isSmallGroup: boolean;
    readonly isSmallAffix: boolean;
    readonly isSmallGroupWrapper: boolean;
    readonly isSmallSearch: boolean;
    updateChildrenInputSize(): void;
    constructor(el: ElementRef);
    ngAfterContentInit(): void;
    ngAfterViewInit(): void;
}
