import { Overlay } from '@angular/cdk/overlay';
import { AfterViewInit, ComponentFactoryResolver, ComponentRef, ElementRef, EventEmitter, OnChanges, OnInit, Renderer2, SimpleChanges, TemplateRef, Type, ViewContainerRef } from '@angular/core';
import { NzI18nService } from '../i18n/nz-i18n.service';
import { ModalPublicAgent } from './modal-public-agent.class';
import { ModalButtonOptions, ModalOptions, ModalType, OnClickCallback } from './nz-modal.type';
export declare const MODAL_ANIMATE_DURATION = 200;
export declare class NzModalComponent extends ModalPublicAgent implements OnInit, OnChanges, AfterViewInit, ModalOptions {
    private overlay;
    private locale;
    private renderer;
    private cfr;
    private elementRef;
    private viewContainer;
    private document;
    nzModalType: ModalType;
    nzContent: string | TemplateRef<{}> | Type<{}>;
    nzComponentParams: object;
    nzFooter: string | TemplateRef<{}> | ModalButtonOptions[];
    nzGetContainer: HTMLElement | (() => HTMLElement);
    nzVisible: boolean;
    nzVisibleChange: EventEmitter<boolean>;
    nzZIndex: number;
    nzWidth: number | string;
    nzWrapClassName: string;
    nzClassName: string;
    nzStyle: object;
    nzIconType: string;
    nzTitle: string | TemplateRef<{}>;
    nzClosable: boolean;
    nzMask: boolean;
    nzMaskClosable: boolean;
    nzMaskStyle: object;
    nzBodyStyle: object;
    nzAfterClose: EventEmitter<void>;
    nzOkText: string;
    nzOkType: string;
    nzOkLoading: boolean;
    nzOnOk: EventEmitter<MouseEvent> | OnClickCallback;
    autoFocusButtonOk: ElementRef;
    nzCancelText: string;
    nzCancelLoading: boolean;
    nzOnCancel: EventEmitter<MouseEvent> | OnClickCallback;
    modalContainer: ElementRef;
    bodyContainer: ViewContainerRef;
    readonly hidden: boolean;
    maskAnimationClassMap: object;
    modalAnimationClassMap: object;
    transformOrigin: string;
    private contentComponentRef;
    private animationState;
    constructor(overlay: Overlay, locale: NzI18nService, renderer: Renderer2, cfr: ComponentFactoryResolver, elementRef: ElementRef, viewContainer: ViewContainerRef, document: any);
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    ngAfterViewInit(): void;
    open(): void;
    close(): void;
    destroy(): void;
    getInstance(): NzModalComponent;
    getContentComponentRef(): ComponentRef<{}>;
    getElement(): HTMLElement;
    onClickMask($event: MouseEvent): void;
    isModalType(type: ModalType): boolean;
    private onClickCloseBtn($event);
    private onClickOkCancel($event, type);
    private isNonEmptyString(value);
    private isTemplateRef(value);
    private isComponent(value);
    private isModalButtons(value);
    private getButtonCallableProp(options, prop);
    private onButtonClick(button);
    private changeVisibleFromInside(visible);
    private changeAnimationState(state);
    private animateTo(isVisible);
    private formatModalButtons(buttons);
    /**
     * Create a component dynamically but not attach to any View (this action will be executed when bodyContainer is ready)
     * @param component Component class
     */
    private createDynamicComponent(component);
    private updateTransformOrigin();
    private changeBodyOverflow(visible);
}
