import { EventEmitter, TemplateRef, Type } from '@angular/core';
export declare type OnClickCallback = (($event: MouseEvent) => (false | void | {}) | Promise<false | void | {}>);
export declare type ModalType = 'default' | 'confirm';
export declare type ConfirmType = 'confirm' | 'info' | 'success' | 'error' | 'warning';
export interface ModalOptions {
    nzModalType?: ModalType;
    nzVisible?: boolean;
    nzZIndex?: number;
    nzWidth?: number | string;
    nzWrapClassName?: string;
    nzClassName?: string;
    nzStyle?: object;
    nzIconType?: string;
    nzTitle?: string | TemplateRef<{}>;
    nzContent?: string | TemplateRef<{}> | Type<{}>;
    nzComponentParams?: object;
    nzClosable?: boolean;
    nzMask?: boolean;
    nzMaskClosable?: boolean;
    nzMaskStyle?: object;
    nzBodyStyle?: object;
    nzFooter?: string | TemplateRef<{}> | ModalButtonOptions[];
    nzGetContainer?: HTMLElement | (() => HTMLElement);
    nzAfterClose?: EventEmitter<void>;
    nzOkText?: string;
    nzOkType?: string;
    nzOkLoading?: boolean;
    nzOnOk?: EventEmitter<MouseEvent> | OnClickCallback;
    nzCancelText?: string;
    nzCancelLoading?: boolean;
    nzOnCancel?: EventEmitter<MouseEvent> | OnClickCallback;
}
export interface ModalOptionsForService extends ModalOptions {
    nzOnOk?: OnClickCallback;
    nzOnCancel?: OnClickCallback;
}
export interface ModalButtonOptions {
    label: string;
    type?: string;
    shape?: string;
    ghost?: boolean;
    size?: string;
    autoLoading?: boolean;
    show?: boolean | ((this: ModalButtonOptions, contentComponentInstance?: object) => boolean);
    loading?: boolean | ((this: ModalButtonOptions, contentComponentInstance?: object) => boolean);
    disabled?: boolean | ((this: ModalButtonOptions, contentComponentInstance?: object) => boolean);
    onClick?(this: ModalButtonOptions, contentComponentInstance?: object): (void | {}) | Promise<(void | {})>;
}
