import { ChangeDetectorRef, ElementRef, EventEmitter, OnChanges, SimpleChanges, TemplateRef } from '@angular/core';
import { Observable } from 'rxjs/Observable';
import { NzI18nService } from '../i18n/nz-i18n.service';
import { TransferCanMove, TransferChange, TransferItem, TransferSearchChange, TransferSelectChange } from './interface';
export declare class NzTransferComponent implements OnChanges {
    private i18n;
    private el;
    private cd;
    private _showSearch;
    leftFilter: string;
    rightFilter: string;
    nzDataSource: TransferItem[];
    nzTitles: string[];
    nzOperations: string[];
    nzListStyle: object;
    nzItemUnit: string;
    nzItemsUnit: string;
    nzCanMove: (arg: TransferCanMove) => Observable<TransferItem[]>;
    nzRender: TemplateRef<void>;
    nzFooter: TemplateRef<void>;
    nzShowSearch: boolean;
    nzFilterOption: (inputValue: string, item: TransferItem) => boolean;
    nzSearchPlaceholder: string;
    nzNotFoundContent: string;
    nzChange: EventEmitter<TransferChange>;
    nzSearchChange: EventEmitter<TransferSearchChange>;
    nzSelectChange: EventEmitter<TransferSelectChange>;
    leftDataSource: TransferItem[];
    rightDataSource: TransferItem[];
    private splitDataSource();
    private getCheckedData(direction);
    handleLeftSelectAll: (checked: boolean) => void;
    handleRightSelectAll: (checked: boolean) => void;
    handleLeftSelect: (item: TransferItem) => void;
    handleRightSelect: (item: TransferItem) => void;
    handleSelect(direction: 'left' | 'right', checked: boolean, item?: TransferItem): void;
    handleFilterChange(ret: {
        direction: string;
        value: string;
    }): void;
    leftActive: boolean;
    rightActive: boolean;
    private updateOperationStatus(direction, count?);
    moveToLeft: () => void;
    moveToRight: () => void;
    moveTo(direction: string): void;
    private truthMoveTo(direction, list);
    constructor(i18n: NzI18nService, el: ElementRef, cd: ChangeDetectorRef);
    ngOnChanges(changes: SimpleChanges): void;
}
