import { AfterContentInit, ElementRef, EventEmitter, NgZone, OnDestroy, OnInit, Renderer2, TemplateRef } from '@angular/core';
import { Subject } from 'rxjs/Subject';
import { Subscription } from 'rxjs/Subscription';
import { NzFormatEmitEvent } from './interface';
import { NzTreeNode } from './nz-tree-node';
import { NzTreeService } from './nz-tree.service';
export declare class NzTreeNodeComponent implements OnInit, AfterContentInit, OnDestroy {
    private nzTreeService;
    private el;
    private ngZone;
    private _renderer;
    dragPos: number;
    prefixCls: string;
    _treeNode: any;
    _expandAll: boolean;
    _defaultCheckedKeys: any[];
    _defaultExpandedKeys: any[];
    _defaultSelectedKeys: any[];
    _searchValue: string;
    matchValue: any[];
    dragPosClass: object;
    _clickNum: number;
    _emitSubject$: Subject<{}>;
    _emitSubjection: Subscription;
    dragElement: ElementRef;
    clickNode: EventEmitter<NzFormatEmitEvent>;
    dblClick: EventEmitter<NzFormatEmitEvent>;
    contextMenu: EventEmitter<NzFormatEmitEvent>;
    clickCheckBox: EventEmitter<NzFormatEmitEvent>;
    clickExpand: EventEmitter<NzFormatEmitEvent>;
    nzDragStart: EventEmitter<NzFormatEmitEvent>;
    nzDragEnter: EventEmitter<NzFormatEmitEvent>;
    nzDragOver: EventEmitter<NzFormatEmitEvent>;
    nzDragLeave: EventEmitter<NzFormatEmitEvent>;
    nzDrop: EventEmitter<NzFormatEmitEvent>;
    nzDragEnd: EventEmitter<NzFormatEmitEvent>;
    nzShowLine: boolean;
    nzShowExpand: boolean;
    nzDraggable: boolean;
    nzMultiple: boolean;
    nzCheckable: boolean;
    nzAsyncData: any;
    nzTreeTemplate: TemplateRef<void>;
    nzTreeNode: NzTreeNode;
    nzDefaultExpandAll: boolean;
    nzDefaultCheckedKeys: string[];
    nzDefaultExpandedKeys: string[];
    nzDefaultSelectedKeys: string[];
    nzSearchValue: string;
    constructor(nzTreeService: NzTreeService, el: ElementRef, ngZone: NgZone, _renderer: Renderer2);
    ngOnInit(): void;
    handleDragStart(e: DragEvent): void;
    handleDragEnter(e: DragEvent): void;
    handleDragOver(e: DragEvent): void;
    handleDragLeave(e: DragEvent): void;
    handleDragDrop(e: DragEvent): void;
    handleDragEnd(e: DragEvent): void;
    ngAfterContentInit(): void;
    _clearDragClass(): void;
    _clickNode($event: MouseEvent, node: NzTreeNode): void;
    _dblClickNode($event: MouseEvent, node: NzTreeNode): void;
    _contextMenuNode($event: MouseEvent, node: NzTreeNode): void;
    _clickCheckBox($event: MouseEvent, node: NzTreeNode): void;
    _clickExpand($event: MouseEvent, node: NzTreeNode): void;
    ngOnDestroy(): void;
}
