import { NzTreeNodeOptions } from './interface';
export declare class NzTreeNode {
    title?: string;
    key?: string;
    level: number;
    children: NzTreeNode[];
    isLeaf: boolean;
    parentNode: NzTreeNode;
    isChecked: boolean;
    isSelectable: boolean;
    isDisabled: boolean;
    isDisableCheckbox: boolean;
    isExpanded: boolean;
    isHalfChecked: boolean;
    isAllChecked: boolean;
    isSelected: boolean;
    isLoading: boolean;
    isMatched: boolean;
    constructor(option: NzTreeNodeOptions, parent?: NzTreeNode);
    getParentNode(): NzTreeNode;
    getChildren(): NzTreeNode[];
    /**
     * 支持按索引位置插入,叶子节点不可添加
     * @param {Array<NzTreeNode>|any[]} children
     * @param {number} childPos
     */
    addChildren(children: any[], childPos?: number): void;
    clearChildren(): void;
}
